# Table::getName

(No version information available, might only be in Git)

Table::getName — Get table name

### Description

public mysql_xdevapi\Table::getName ( void ) : string

Returns the name of this database object.

### Parameters

This function has no parameters.

### Return Values

The name of this database object.

### Examples

Example #1 mysql_xdevapi\Table::getName() example

`<?php
$session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");
$session->sql("DROP DATABASE IF EXISTS addressbook")->execute();
$session->sql("CREATE DATABASE addressbook")->execute();
$session->sql("CREATE TABLE addressbook.names(name text, age int)")->execute();
$session->sql("INSERT INTO addressbook.names values ('John', 42), ('Sam', 33)")->execute();
$schema = $session->getSchema("addressbook");
$table = $schema->getTable("names");
var_dump($table->getName());
?>`

The above example will output something similar to:

    string(5) "names"